//----------------------------------------------------------------------------
//  Project Flash
//  owlnext 
//  (C) 2008 Sebastian Ledesma
//
//  SUBSYSTEM:    Flash Application
//  FILE:         flashapp.cpp
//  AUTHOR:       Sebastian Ledesma
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TFlashApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>
#include <owl/appdict.h>

#include <stdio.h>

#include "flashapp.h"
#include "flshdlgc.h"                        // Definition of client class.


//{{TFlashApp Implementation}}
DEFINE_APP_DICTIONARY(AppDictionary);

REGISTRATION_FORMAT_BUFFER(128)    // create buffer for expanding macros
BEGIN_REGISTRATION(AppReg)
  REGDATA(clsid, "{B795F8B6-4852-4C92-8F75-ABED12FC1EDD}")
  REGDATA(description, "Flash Container")
END_REGISTRATION

static TPointer<TOcRegistrar> Registrar;

//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TFlashApp, TApplication)
//{{TFlashAppRSP_TBL_BEGIN}}
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TFlashAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TFlashApp
//
TFlashApp::TFlashApp() : TApplication(::AppReg["description"]){

  // INSERT>> Your constructor code here.
}


TFlashApp::~TFlashApp() {
  // INSERT>> Your destructor code here.
}


//--------------------------------------------------------
// TFlashApp
// ~~~~~
// Application intialization.
//
void TFlashApp::InitMainWindow() {
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TSDIDecFrame* frame = new TSDIDecFrame(GetName(), 0, false);
  frame->SetFlag(wfShrinkToClient);

  /*TOleFrame* frame = new TOleFrame(GetName(), 0, false);
  // Override the default window style for the main window.
  //
  frame->ModifyStyle(WS_THICKFRAME, WS_BORDER|WS_CAPTION|WS_CLIPCHILDREN|
                                    WS_MINIMIZEBOX|WS_SYSMENU|WS_VISIBLE);*/

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  SetMainWindow(frame);

}

void TFlashApp::InitInstance() {
  TApplication::InitInstance();

  // INSERT>> Your code here.
  GetMainWindow()->SetClientWindow(new TFlashDlgClient(0));

}


//{{TSDIDecFrame Implementation}}


TSDIDecFrame::TSDIDecFrame(const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
  TOleFrame(title, clientWnd, trackMenuSelection, module)
{
  // INSERT>> Your constructor code here.

}


TSDIDecFrame::~TSDIDecFrame()
{
  // INSERT>> Your destructor code here.

}


//--------------------------------------------------------
// TFlashApp
// ~~~~~~~~~~~
// Menu Help About Flash command
//
void TFlashApp::CmHelpAbout()
{
}



int OwlMain(int , char* [])
{
//  TFlashApp   app;
//  return app.Run();

 // create the registrar object
  ::Registrar = new TOcRegistrar(::AppReg, TOleFactory<TFlashApp>(), TApplication::GetCmdLine());
  return ::Registrar->Run();

}


