//----------------------------------------------------------------------------
//  Project Flash
//  owlnext 
//  (C) 2008 Sebastian Ledesma
//
//  SUBSYSTEM:    Flash Application
//  FILE:         flashapp.h
//  AUTHOR:       Sebastian Ledesma
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TFlashApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(flashapp_h)              // Sentry, use file only if it's not already included.
#define flashapp_h

#if OWLVersion<0x0600
#include <owl/oleframe.h>
//#include <owl/olewindo.h>
#else
#include <ocf/oleframe.h>
//#include <ocf/olewindo.h>
#endif
#include <ocf/ocstorag.h>

#include "flashapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TOleFrame = TSDIDecFrame}}
class TSDIDecFrame : public TOleFrame {
  public:
    TSDIDecFrame(const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();
};    //{{TSDIDecFrame}}


//{{TApplication = TFlashApp}}
class TFlashApp : public TApplication, public TOcModule {
  private:


  public:
    TFlashApp();
    virtual ~TFlashApp();
   //For classic apps:
    TUnknown* CreateOleObject(uint32 options, TRegLink* link) {return 0;};

//{{TFlashAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
    virtual void InitInstance();
//{{TFlashAppVIRTUAL_END}}

//{{TFlashAppRSP_TBL_BEGIN}}
  protected:
    void CmHelpAbout();
//{{TFlashAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TFlashApp);
};    //{{TFlashApp}}


#endif  // flashapp_h sentry.
