//----------------------------------------------------------------------------
//  Project Flash
//  owlnext 
//  (C) 2008 Sebastian Ledesma
//
//  SUBSYSTEM:    Flash Application
//  FILE:         flshdlgc.h
//  AUTHOR:       Sebastian Ledesma
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TFlashDlgClient (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(flshdlgc_h)              // Sentry, use file only if it's not already included.
#define flshdlgc_h

#if OWLVersion >=0x0600
#include <ocf/oledialg.h>
#else
#include <owl/oledialg.h>
#endif
#include <owl/button.h>
#include <owl/commctrl.h>

#include "flashapp.rh"                  // Definition of all resources.
#include "flash.h"                      // Proxy


//{{TOleDialog = TFlashDlgClient}}
class TFlashDlgClient : public TOleDialog {
  public:
    TFlashDlgClient(TWindow* parent, TResId resId = IDD_CLIENT, TModule* module = 0);
    virtual ~TFlashDlgClient();


//{{TFlashDlgClientVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
    virtual void CleanupWindow();
    virtual bool CanClose();
//{{TFlashDlgClientVIRTUAL_END}}

//{{TFlashDlgClientRSP_TBL_BEGIN}}
  protected:
    void EvSize(uint sizeType, TSize& size);
	//bool EvOcCtrlCustomEvent(TCtrlCustomEvent* pev);
    void OnOpen();
    void OnPlay();
    void OnStop();
//{{TFlashDlgClientRSP_TBL_END}}

	TOcControl* Ocx;
   TIShockwaveFlashProxy Proxy;

DECLARE_RESPONSE_TABLE(TFlashDlgClient);

//{{TFlashDlgClientXFER_DEF}}
  protected:
    TButton* pBtn_Open;
    TButton* pBtn_Play;
    TButton* pBtn_Stop;
    TButton* pBtn_Ok;
//{{TFlashDlgClientXFER_DEF_END}}
};    //{{TFlashDlgClient}}


#endif  // flshdlgc_h sentry.
