#include <ocf/pch.h>
#include <initguid.h>
#include <wtypes.h>   //needed before include ocf/defs.h SCODE definition
#include <scode.h>    //needed before include ocf/defs.h SCODE macros
#include <owl/defs.h> //needed before include ocf/defs.h, BI_PTR_0_32
#include "flash.h"

long TIShockwaveFlashProxy::GetReadyState()
{
	static TAutoDispId _dispId(this, -525);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

long TIShockwaveFlashProxy::GetTotalFrames()
{
	static TAutoDispId _dispId(this, 124);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

bool TIShockwaveFlashProxy::GetPlaying()
{
	static TAutoDispId _dispId(this, 125);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetPlaying(bool arg1)
{
	static TAutoDispId _dispId(this, 125);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

INT TIShockwaveFlashProxy::GetQuality()
{
	static TAutoDispId _dispId(this, 105);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetQuality(INT arg1)
{
	static TAutoDispId _dispId(this, 105);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

INT TIShockwaveFlashProxy::GetScaleMode()
{
	static TAutoDispId _dispId(this, 120);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetScaleMode(INT arg1)
{
	static TAutoDispId _dispId(this, 120);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

INT TIShockwaveFlashProxy::GetAlignMode()
{
	static TAutoDispId _dispId(this, 121);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetAlignMode(INT arg1)
{
	static TAutoDispId _dispId(this, 121);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

long TIShockwaveFlashProxy::GetBackgroundColor()
{
	static TAutoDispId _dispId(this, 123);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetBackgroundColor(long arg1)
{
	static TAutoDispId _dispId(this, 123);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

bool TIShockwaveFlashProxy::GetLoop()
{
	static TAutoDispId _dispId(this, 106);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetLoop(bool arg1)
{
	static TAutoDispId _dispId(this, 106);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetMovie()
{
	static TAutoDispId _dispId(this, 102);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetMovie(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 102);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

long TIShockwaveFlashProxy::GetFrameNum()
{
	static TAutoDispId _dispId(this, 107);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetFrameNum(long arg1)
{
	static TAutoDispId _dispId(this, 107);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetZoomRect(long left, long top, long right, long bottom)
{
	static TAutoDispId _dispId(this, 109);
	TAutoArgs<4> _args;
	_args[1] = left;
	_args[2] = top;
	_args[3] = right;
	_args[4] = bottom;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::Zoom(INT factor)
{
	static TAutoDispId _dispId(this, 118);
	TAutoArgs<1> _args;
	_args[1] = factor;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::Pan(long x, long y, INT mode)
{
	static TAutoDispId _dispId(this, 119);
	TAutoArgs<3> _args;
	_args[1] = x;
	_args[2] = y;
	_args[3] = mode;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::Play()
{
	static TAutoDispId _dispId(this, 112);
	TAutoArgs<0> _args;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::Stop()
{
	static TAutoDispId _dispId(this, 113);
	TAutoArgs<0> _args;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::Back()
{
	static TAutoDispId _dispId(this, 114);
	TAutoArgs<0> _args;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::Forward()
{
	static TAutoDispId _dispId(this, 115);
	TAutoArgs<0> _args;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::Rewind()
{
	static TAutoDispId _dispId(this, 116);
	TAutoArgs<0> _args;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::StopPlay()
{
	static TAutoDispId _dispId(this, 126);
	TAutoArgs<0> _args;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::GotoFrame(long FrameNum)
{
	static TAutoDispId _dispId(this, 127);
	TAutoArgs<1> _args;
	_args[1] = FrameNum;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

long TIShockwaveFlashProxy::CurrentFrame()
{
	static TAutoDispId _dispId(this, 128);
	TAutoArgs<0> _args;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

bool TIShockwaveFlashProxy::IsPlaying()
{
	static TAutoDispId _dispId(this, 129);
	TAutoArgs<0> _args;
	return TBool(Invoke(acMethod, _args, _dispId, _dispId));
}

long TIShockwaveFlashProxy::PercentLoaded()
{
	static TAutoDispId _dispId(this, 130);
	TAutoArgs<0> _args;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

bool TIShockwaveFlashProxy::FrameLoaded(long FrameNum)
{
	static TAutoDispId _dispId(this, 131);
	TAutoArgs<1> _args;
	_args[1] = FrameNum;
	return TBool(Invoke(acMethod, _args, _dispId, _dispId));
}

long TIShockwaveFlashProxy::FlashVersion()
{
	static TAutoDispId _dispId(this, 132);
	TAutoArgs<0> _args;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetWMode()
{
	static TAutoDispId _dispId(this, 133);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetWMode(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 133);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetSAlign()
{
	static TAutoDispId _dispId(this, 134);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetSAlign(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 134);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

bool TIShockwaveFlashProxy::GetMenu()
{
	static TAutoDispId _dispId(this, 135);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetMenu(bool arg1)
{
	static TAutoDispId _dispId(this, 135);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetBase()
{
	static TAutoDispId _dispId(this, 136);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetBase(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 136);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetScale()
{
	static TAutoDispId _dispId(this, 137);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetScale(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 137);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

bool TIShockwaveFlashProxy::GetDeviceFont()
{
	static TAutoDispId _dispId(this, 138);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetDeviceFont(bool arg1)
{
	static TAutoDispId _dispId(this, 138);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

bool TIShockwaveFlashProxy::GetEmbedMovie()
{
	static TAutoDispId _dispId(this, 139);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetEmbedMovie(bool arg1)
{
	static TAutoDispId _dispId(this, 139);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetBGColor()
{
	static TAutoDispId _dispId(this, 140);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetBGColor(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 140);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetQuality2()
{
	static TAutoDispId _dispId(this, 141);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetQuality2(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 141);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::LoadMovie(INT layer, TAutoString url)
{
	static TAutoDispId _dispId(this, 142);
	TAutoArgs<2> _args;
	_args[1] = layer;
	_args[2] = url;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TGotoFrame(TAutoString target, long FrameNum)
{
	static TAutoDispId _dispId(this, 143);
	TAutoArgs<2> _args;
	_args[1] = target;
	_args[2] = FrameNum;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TGotoLabel(TAutoString target, TAutoString label)
{
	static TAutoDispId _dispId(this, 144);
	TAutoArgs<2> _args;
	_args[1] = target;
	_args[2] = label;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

long TIShockwaveFlashProxy::TCurrentFrame(TAutoString target)
{
	static TAutoDispId _dispId(this, 145);
	TAutoArgs<1> _args;
	_args[1] = target;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::TCurrentLabel(TAutoString target)
{
	static TAutoDispId _dispId(this, 146);
	TAutoArgs<1> _args;
	_args[1] = target;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TPlay(TAutoString target)
{
	static TAutoDispId _dispId(this, 147);
	TAutoArgs<1> _args;
	_args[1] = target;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TStopPlay(TAutoString target)
{
	static TAutoDispId _dispId(this, 148);
	TAutoArgs<1> _args;
	_args[1] = target;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetVariable(TAutoString name, TAutoString value)
{
	static TAutoDispId _dispId(this, 151);
	TAutoArgs<2> _args;
	_args[1] = name;
	_args[2] = value;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetVariable(TAutoString name)
{
	static TAutoDispId _dispId(this, 152);
	TAutoArgs<1> _args;
	_args[1] = name;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TSetProperty(TAutoString target, INT property, TAutoString value)
{
	static TAutoDispId _dispId(this, 153);
	TAutoArgs<3> _args;
	_args[1] = target;
	_args[2] = property;
	_args[3] = value;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::TGetProperty(TAutoString target, INT property)
{
	static TAutoDispId _dispId(this, 154);
	TAutoArgs<2> _args;
	_args[1] = target;
	_args[2] = property;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TCallFrame(TAutoString target, INT FrameNum)
{
	static TAutoDispId _dispId(this, 155);
	TAutoArgs<2> _args;
	_args[1] = target;
	_args[2] = FrameNum;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TCallLabel(TAutoString target, TAutoString label)
{
	static TAutoDispId _dispId(this, 156);
	TAutoArgs<2> _args;
	_args[1] = target;
	_args[2] = label;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::TSetPropertyNum(TAutoString target, INT property, double value)
{
	static TAutoDispId _dispId(this, 157);
	TAutoArgs<3> _args;
	_args[1] = target;
	_args[2] = property;
	_args[3] = value;
	Invoke(acMethod | acVoidRet, _args, _dispId, _dispId);
}

double TIShockwaveFlashProxy::TGetPropertyNum(TAutoString target, INT property)
{
	static TAutoDispId _dispId(this, 158);
	TAutoArgs<2> _args;
	_args[1] = target;
	_args[2] = property;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

double TIShockwaveFlashProxy::TGetPropertyAsNumber(TAutoString target, INT property)
{
	static TAutoDispId _dispId(this, 172);
	TAutoArgs<2> _args;
	_args[1] = target;
	_args[2] = property;
	return Invoke(acMethod, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetSWRemote()
{
	static TAutoDispId _dispId(this, 159);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetSWRemote(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 159);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetFlashVars()
{
	static TAutoDispId _dispId(this, 170);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetFlashVars(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 170);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

TAutoString TIShockwaveFlashProxy::GetAllowScriptAccess()
{
	static TAutoDispId _dispId(this, 171);
	TAutoArgs<0> _args;
	return Invoke(acPropGet, _args, _dispId, _dispId);
}

void TIShockwaveFlashProxy::SetAllowScriptAccess(TAutoString arg1)
{
	static TAutoDispId _dispId(this, 171);
	TAutoArgs<0> _args;
	_args[0] = arg1;
	Invoke(acPropSet, _args, _dispId, _dispId);
}

void T_IShockwaveFlashEventsProxy::_IShockwaveFlashEvents_Handler(TAutoStack& Args)
{
	switch (Args.DispId) {
		case -609:
			OnReadyStateChange(Args[0]);
			break;

		case 1958:
			OnProgress(Args[0]);
			break;

		case 150:
			FSCommand(Args[0], Args[1]);
			break;
	}
}

void T_IShockwaveFlashEventsProxy::OnReadyStateChange(long /* newState */)
{
}

void T_IShockwaveFlashEventsProxy::OnProgress(long /* percentDone */)
{
}

void T_IShockwaveFlashEventsProxy::FSCommand(TAutoString /* command */, TAutoString /* args */)
{
}

